%define		rel		1
%define		subver	20100411
%include	/usr/lib/rpm/macros.mono
Summary:	notify-sharp is a C# client implementation for Desktop Notifications
Name:		dotnet-notify-sharp
Version:	0.4.0
Release:	4.%{subver}.%{rel}
License:	X11/MIT
Source0:	notify-sharp-%{subver}.tar.bz2
# Source0-md5:	add5e8884a3add412843037453a05ea6
Patch0:		%{name}-monodir.patch
Group:		Development/Libraries
URL:		http://www.ndesk.org/NotifySharp
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dotnet-gtk-sharp2-devel >= 2.10.1
BuildRequires:	dotnet-ndesk-dbus-glib-sharp-devel
BuildRequires:	dotnet-ndesk-dbus-sharp
BuildRequires:	gtk+2-devel
BuildRequires:	libtool
BuildRequires:	mono-csharp
BuildRequires:	mono-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
notify-sharp is a C# client implementation for Desktop Notifications,
i.e. notification-daemon. It is inspired by the libnotify API.

Desktop Notifications provide a standard way of doing passive pop-up
notifications on the Linux desktop. These are designed to notify the
user of something without interrupting their work with a dialog box
that they must close. Passive popups can automatically disappear after
a short period of time.

%package devel
Summary:	Files required for compilation using notify-sharp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Files required for compilation using notify-sharp.

%prep
%setup -q -n notify-sharp-%{subver}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-docs

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_prefix}/lib/mono/gac/notify-sharp
%{_prefix}/lib/mono/gac/notify-sharp/*

%files devel
%defattr(644,root,root,755)
%dir %{_prefix}/lib/mono/notify-sharp
%{_prefix}/lib/mono/notify-sharp/*.dll
%{_pkgconfigdir}/notify-sharp.pc
%changelog
* Thu Feb 14 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dotnet-notify-sharp.git;a=log;h=master

* Thu Feb 14 2013 Elan Ruusamäe <glen@delfi.ee> 35bae81
update BR with cleanbuild

* Thu Feb 14 2013 Elan Ruusamäe <glen@delfi.ee> 24aee74
up to 20100411 snapshot

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> 5aceae3
- unified %clean section

* Fri Jan 30 2009 Patryk Zawadzki <patrys@room-303.com> 5672525
- rel 3
- actually regenerate the build tools

* Fri Jan 30 2009 Patryk Zawadzki <patrys@room-303.com> 01afff6
- rel 2

* Fri Jan 30 2009 Patryk Zawadzki <patrys@room-303.com> df84fd2
- modify both paths

* Fri Jan 30 2009 Patryk Zawadzki <patrys@room-303.com> 980116a
- add monodir patch
- rel 1

* Fri Jan 30 2009 Patryk Zawadzki <patrys@room-303.com> 3ddeda8
- always install to /prefix/lib

* Mon Oct 20 2008 aredridel <aredridel@pld-linux.org> 5a0f742
- 0.4.0

